Subject: Re: bug#65187: 29.1; right edge of wide image can not be displayed in image-mode

From: Michael Heerdegen <[email-masked]>
Date: Tue, 15 Aug 2023 01:58:12 +0200

Eli Zaretskii <[email-masked]> writes:

> It _is_ made visible, but if the portion of the image that exceeds the
> window's width is small enough, the result is that the few extra
> pixels are clipped, but from the display engine's POV we are "at the
> right edge".  IOW, the horizontal scrolling in Emacs works on the
> column granularity, not on pixel granularity.

Would it make sense to scroll one column further then?  This could be
the more convenient behavior (most users know C-e better than how to
scroll horizontally, and it might be necessary to scroll further to
really see the right edge to check whether the image has a border or
something like that) and IMO would also fit the docstring a bit better.

Michael.